from bge import logic
from math import cos, sin


GRAVITY = 9.8


def main():
    scene = logic.getCurrentScene()
    cont = logic.getCurrentController()
    own = cont.owner

    # mm.. i need to found a way to get this at runtime
    size = own["size"]

    for obj in scene.objects:
        if "gravity" in obj:
            gravity = GRAVITY
            # Get vector to planet center
            dist, global_vec, local_vec = obj.getVectTo(own)

            # Only affect object in near distance
            if dist > 25*size:
                gravity = 0.1
            else:
                up_vec = own.getVectTo(obj)[1] / 2
                obj.alignAxisToVect(up_vec, 2, 1)

            # Apply force in that direction to simulate gravity
            global_vec.magnitude = gravity / size
            obj.applyForce(global_vec)

    # if "timer" in own:
    #    rotate(own)


def rotate(own):
    # scene = logic.getCurrentScene()
    cont = logic.getCurrentController()
    own = cont.owner

    timer = own["timer"]
    pos = 10 * own["pos"]
    speed = .005
    # * own["pos"]  # own["speed"]

    own.localPosition = [pos * cos(speed * timer),
                         pos * sin(speed * timer),
                         0]
